# Interface Nodes

#### Hierarchy

- Nodes

#####
Index

### Properties

categories
color
drilling
groupLabelDisplay
header
id
label
labelDisplay
labelHalign
labelStyle
labelValign
nodes
pattern
selectable
shortDesc
svgClassName
svgStyle
value

## Properties

### categories

categories: string[]

An optional array of category strings corresponding to this data item. This enables highlighting and filtering of individual data items through interactions with the legend and other visualization elements. The categories array of each node is required to be a superset of the categories array of its parent node. If not specified, the ids of the node and its ancestors will be used.

### color

color: string

The fill color of the node.

### drilling

drilling: string

Specifies whether drilling is enabled for the node. Drillable nodes will show a pointer cursor on hover and fire an ojDrill event on click (double click if selection is enabled). To enable drilling for all nodes at once, use the drilling attribute in the top level.

### groupLabelDisplay

groupLabelDisplay: string

The label display behavior for group nodes.

### header

header: NodesHeader

An object defining the properties for the node header.

### id

id: any

The id of the node. For the DataProvider case, the key for the node will be used as the id.

### label

label: string

The label for this node.

### labelDisplay

labelDisplay: string

The label display behavior for leaf nodes.

### labelHalign

labelHalign: string

The horizontal alignment for labels displayed within the node.

### labelStyle

labelStyle: object

The CSS style object defining the style of the label. The following style properties are supported: color, cursor, fontFamily, fontSize, fontStyle, fontWeight, textDecoration.

### labelValign

labelValign: string

The vertical alignment for labels displayed within the node.

### nodes

nodes: object[]

An array of objects with properties for the child nodes.

### pattern

pattern: string

The pattern used to fill the node.

### selectable

selectable: string

Specifies whether or not the node will be selectable.

### shortDesc

shortDesc: null | string

The description of this element. Will be lazily created if a function is used. This is used for accessibility and also for customizing the tooltip text.

### svgClassName

svgClassName: string

The CSS style class to apply to the node. The style class and inline style will override any other styling specified through the properties. For tooltip interactivity, it's recommended to also pass a representative color to the node color attribute.

### svgStyle

svgStyle: object

The inline style to apply to the node. The style class and inline style will override any other styling specified through the properties. For tooltip interactivity, it's recommended to also pass a representative color to the node color attribute. Only SVG CSS style properties are supported.

#### Deprecated

Since 18.1.0. The svgStyle property is deprecated. This API is not recommended in Redwood theme. Use other customization APIs where appropriate.

### value

value: number

The value of the node, which determines the relative size of the node.

Generated using TypeDoc